CREATE TABLE iby_hook_docs_in_pmt_t (
    PAYMENT_ID                     NUMBER(18, 0)     NOT NULL,
    DOCUMENT_PAYABLE_ID            NUMBER(18, 0) ,
    CALLING_APP_ID                 NUMBER(18, 0)     NOT NULL,
    CALLING_APP_DOC_UNIQUE_REF1    NUMBER(18, 0)     NOT NULL,
    CALLING_APP_DOC_UNIQUE_REF2    NUMBER(18, 0) ,
    CALLING_APP_DOC_UNIQUE_REF3    NUMBER(18, 0) ,
    CALLING_APP_DOC_UNIQUE_REF4    NUMBER(18, 0) ,
    CALLING_APP_DOC_UNIQUE_REF5    NUMBER(18, 0) ,
    DOCUMENT_AMOUNT                NUMBER            NOT NULL,
    DOCUMENT_CURRENCY_CODE         VARCHAR2(40)      NOT NULL,
    AMOUNT_WITHHELD                NUMBER        ,
    DONT_PAY_FLAG                  VARCHAR2(4)   ,
    DONT_PAY_REASON_CODE           VARCHAR2(120) ,
    DONT_PAY_DESCRIPTION           VARCHAR2(1020),
    PAY_PROC_TRXN_TYPE_CODE        VARCHAR2(400)     NOT NULL,
    INTERNAL_BANK_ACCOUNT_ID       NUMBER(18, 0)     NOT NULL,
    EXT_PAYEE_ID                   NUMBER(18, 0)     NOT NULL,
    PAYEE_PARTY_ID                 NUMBER(18, 0) ,
    PARTY_SITE_ID                  NUMBER(18, 0) ,
    SUPPLIER_SITE_ID               NUMBER(18, 0) ,
    ORG_ID                         NUMBER(18, 0)     NOT NULL,
    ORG_TYPE                       VARCHAR2(120) ,
    EXTERNAL_BANK_ACCOUNT_ID       NUMBER(18, 0) ,
    PAYMENT_CURR_DISCOUNT_TAKEN    NUMBER        ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    PAYMENT_ID                     NUMBER(18, 0)     NOT NULL,
    DOCUMENT_PAYABLE_ID            NUMBER(18, 0) ,
    CALLING_APP_ID                 NUMBER(18, 0)     NOT NULL,
    CALLING_APP_DOC_UNIQUE_REF1    NUMBER(18, 0)     NOT NULL,
    CALLING_APP_DOC_UNIQUE_REF2    NUMBER(18, 0) ,
    CALLING_APP_DOC_UNIQUE_REF3    NUMBER(18, 0) ,
    CALLING_APP_DOC_UNIQUE_REF4    NUMBER(18, 0) ,
    CALLING_APP_DOC_UNIQUE_REF5    NUMBER(18, 0) ,
    DOCUMENT_AMOUNT                NUMBER            NOT NULL,
    DOCUMENT_CURRENCY_CODE         VARCHAR2(40)      NOT NULL,
    AMOUNT_WITHHELD                NUMBER        ,
    DONT_PAY_FLAG                  VARCHAR2(4)   ,
    DONT_PAY_REASON_CODE           VARCHAR2(120) ,
    DONT_PAY_DESCRIPTION           VARCHAR2(1020),
    PAY_PROC_TRXN_TYPE_CODE        VARCHAR2(400)     NOT NULL,
    INTERNAL_BANK_ACCOUNT_ID       NUMBER(18, 0)     NOT NULL,
    EXT_PAYEE_ID                   NUMBER(18, 0)     NOT NULL,
    PAYEE_PARTY_ID                 NUMBER(18, 0) ,
    PARTY_SITE_ID                  NUMBER(18, 0) ,
    SUPPLIER_SITE_ID               NUMBER(18, 0) ,
    ORG_ID                         NUMBER(18, 0)     NOT NULL,
    ORG_TYPE                       VARCHAR2(120) ,
    EXTERNAL_BANK_ACCOUNT_ID       NUMBER(18, 0) ,
    PAYMENT_CURR_DISCOUNT_TAKEN    NUMBER        ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_iby_hook_docs_in_pmt_t PRIMARY KEY (DOCUMENT_PAYABLE_ID, DOCUMENT_PAYABLE_ID)
);
